#!/usr/bin/bash

echo 'configures static network from scratch!'

iface=eth0
name=uninet

# Create
nmcli connection add type ethernet con-name $name ifname $iface

# Set
nmcli con mod $name ipv4.addresses {{this_ip}}/24
nmcli con mod $name ipv4.gateway 10.0.0.1
nmcli con mod $name ipv4.method manual
nmcli con mod $name ipv4.dns "{{this_ip}},8.8.8.8"

# Activate
nmcli connection up $name

# www.linuxtechi.com/configure-static-ip-address-rhel8/
# www.tecmint.com/configure-network-connections-using-nmcli-tool-in-linux/
